LibreOffice: ConsolidationDescriptor Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Exported Interfaces | List of all members
ConsolidationDescriptor Service Referencepublished

contains all settings of a data consolidation in a spreadsheet document. More...

`import"ConsolidationDescriptor.idl";`

Inheritance diagram for ConsolidationDescriptor:

## Exported Interfaces
interface | com::sun::star::sheet::XConsolidationDescriptor
| provides methods to access the settings of the descriptor. More...

## Additional Inherited Members
Public Member Functions inherited from XConsolidationDescriptor
com::sun::star::sheet::GeneralFunction | getFunction ()
| returns the function by which the ranges are consolidated. More...
void | setFunction ([in] com::sun::star::sheet::GeneralFunction nFunction)
| sets the function by which the ranges are consolidated. More...
sequence< com::sun::star::table::CellRangeAddress > | getSources ()
| returns the cell ranges which are consolidated. More...
void | setSources ([in] sequence< com::sun::star::table::CellRangeAddress > aSources)
| sets the cell ranges which are consolidated. More...
com::sun::star::table::CellAddress | getStartOutputPosition ()
| returns the position of the top left cell of the cell range where the consolidated data are copied. More...
void | setStartOutputPosition ([in] com::sun::star::table::CellAddress aStartOutputPosition)
| sets the position of the top left cell of the cell range where the consolidated data are copied. More...
boolean | getUseColumnHeaders ()
| returns, whether column headers from the cell ranges are used to find matching data or not. More...
void | setUseColumnHeaders ([in] boolean bUseColumnHeaders)
| specifies if column headers from the cell ranges are used to find matching data. More...
boolean | getUseRowHeaders ()
| returns, whether row headers from the cell ranges are used to find matching data or not. More...
void | setUseRowHeaders ([in] boolean bUseRowHeaders)
| specifies if row headers from the cell ranges are used to find matching data. More...
boolean | getInsertLinks ()
| returns, whether links to the original data are inserted in the output area or not. More...
void | setInsertLinks ([in] boolean bInsertLinks)
| specifies if links to the original data are inserted in the output area. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

contains all settings of a data consolidation in a spreadsheet document.

See also
  com::sun::star::sheet::XConsolidatable

## Exported Interfaces

## ◆ com::sun::star::sheet::XConsolidationDescriptor

interface com::sun::star::sheet::XConsolidationDescriptor

provides methods to access the settings of the descriptor.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/ConsolidationDescriptor.idl